Subject: bug#74881: 31.0.50; [PATCH] * lisp/vc/ediff-util.el: Remove temp files on kill-emacs

From: Lin Sun <[email-masked]>
Date: Mon, 30 Dec 2024 02:07:51 +0000

> From: Michael Heerdegen <[email-masked]>
> Sent: Sunday, December 29, 2024 05:37 PM
> ...
> I would expect it to work.  I found one in Gnu Elpa, in "subed.el".
> ...
> Yes, this is what I had in mind when the local hook can't be used.

Hi Michael, thank you for comments.

And I had tried adding the function to kill-emacs-hook with "local" flag but it does NOT work with kill/pkill emacs during a ediff-session,  I don't know the "local" kill-emacs-hook behavior is a feature or bug.

So the previous patch maybe the suitable one for current situation, it avoid looping all buffers and almost won't affect any user experience.  Thanks